Bug 1701005

Summary: Review Request: golang-github-oracle-oci-sdk - Go SDK for Oracle Cloud Infrastructure
Product: [Fedora] Fedora Reporter: Carl George <carl>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-01 00:40:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Comment 1 Robert-André Mauchin 2019-04-20 22:17:35 UTC
 - Should these be two %goinstall here:

%install
%goinstall
# upstream has a versioning tool that is not useful for us
%goinstall -t cmd

Comment 3 Robert-André Mauchin 2019-04-22 15:52:13 UTC
Package approved.

May I suggest you to beta-test go2rpm for you future SPEC?

https://pagure.io/GoSIG/go2rpm

go2rpm -p1 github.com/oracle/oci-go-sdk

produces:

# Generated by go2rpm
%bcond_without check

# https://github.com/oracle/oci-go-sdk
%global goipath         github.com/oracle/oci-go-sdk
Version:                5.4.0

%gometa

%global common_description %{expand:
Go sdk for oracle cloud infrastructure.}

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go sdk for oracle cloud infrastructure

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/mock)
%endif

%description
%{common_description}

%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%forgeautosetup -p1

%build
%gobuildroot
for cmd in cmd/* ; do
  %gobuild -o _bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%goinstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp _bin/*              %{buildroot}%{_bindir}/

%if %{with check}
%check
%gochecks
%endif

%files
%license LICENSE.txt
%doc example CHANGELOG.md CONTRIBUTING.md README.md
%{_bindir}/*

%files devel -f devel.file-list
%license LICENSE.txt
%doc example CHANGELOG.md CONTRIBUTING.md README.md

%changelog
* Mon Apr 22 17:51:04 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 5.4.0-1
- Initial package


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 1536 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/golang-
     github-oracle-oci-sdk/review-golang-github-oracle-oci-
     sdk/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-oracle-oci-sdk-devel-5.4.0-1.fc31.noarch.rpm
          golang-github-oracle-oci-sdk-5.4.0-1.fc31.src.rpm
golang-github-oracle-oci-sdk-devel.noarch: W: invalid-license UPL
golang-github-oracle-oci-sdk-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/oracle/oci-go-sdk/.goipath
golang-github-oracle-oci-sdk.src: W: invalid-license UPL
golang-github-oracle-oci-sdk.src: W: no-%build-section
golang-github-oracle-oci-sdk.src: E: specfile-error warning: %gochecks is obsolete, use %gocheck in %check instead!
2 packages and 0 specfiles checked; 1 errors, 4 warnings.

Comment 4 Gwyn Ciesla 2019-04-22 19:16:27 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-oracle-oci-sdk

Comment 5 Carl George 2019-04-22 19:56:46 UTC
Sure, I'll take a closer look at go2rpm.  Thanks for the suggestion.

Comment 6 Carl George 2019-04-22 20:26:38 UTC
Rawhide build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1253220

Comment 7 Fedora Update System 2019-04-22 20:51:49 UTC
golang-github-oracle-oci-sdk-5.4.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8d9952b783

Comment 8 Fedora Update System 2019-04-22 20:51:53 UTC
golang-github-oracle-oci-sdk-5.4.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d3d8b7c371

Comment 9 Fedora Update System 2019-04-23 14:55:53 UTC
golang-github-oracle-oci-sdk-5.4.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d3d8b7c371

Comment 10 Fedora Update System 2019-04-23 21:16:00 UTC
golang-github-oracle-oci-sdk-5.4.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8d9952b783

Comment 11 Fedora Update System 2019-05-01 00:40:30 UTC
golang-github-oracle-oci-sdk-5.4.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-05-02 03:06:00 UTC
golang-github-oracle-oci-sdk-5.4.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.